// 002 u_separate_package
// 10 mar 2007

// -- (C) John COLIBRI 2007
// -- documentation: http://www.jcolibri.com

(*$r+*)
unit u_separate_package;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, Mask;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Panel1: TPanel;
    exit_: TButton;
    clear_: TButton;
    add_: TButton;
    one_edit_: TMaskEdit;
    lblPlus: TLabel;
    two_edit_: TMaskEdit;
    result_label_: TLabel;
    lblEquals: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure close_Click(Sender: TObject);
    procedure clear_Click(Sender: TObject);
    procedure add_Click(Sender: TObject);
  private
  public
  end;

    var Form1: TForm1;

  implementation
    uses u_c_log, u_c_display, u_display_hex_2
      , u_adder
    ;

    {$R *.DFM}

    procedure TForm1.FormCreate(Sender: TObject);
      begin
        initialize_display(Memo1.Lines);
        initialize_default_log;
      end; // FormCreate

    procedure TForm1.close_Click(Sender: TObject);
      begin
        Close;
      end; // close_Click

    procedure TForm1.clear_Click(Sender: TObject);
      begin
        clear_display;
      end; // clear_Click

    procedure TForm1.add_Click(Sender: TObject);
      var l_result: Integer;
          l_one, l_two: integer;
      begin
        l_one:= StrToInt(one_edit_.Text);
        l_two:= StrToInt(two_edit_.Text);
        l_result:= f_one_plus_two(l_one, l_two);
        result_label_.Caption:= IntToStr(l_result);
      end; // add_Click

end.


